{% extends 'core/base.html' %}

{% block title %}Cart{% endblock %}

{% block content %} 

<div class="max-w-6xl mx-auto flex flex-wrap items-start py-6 px-6 xl:px-0 bg-ctp-base">
  <div class="products w-full lg:w-3/4">
    {% for item in cart %}
    
      {% include 'cart/partials/cart_item.html' %}
      
    {% endfor %}
  </div>

  <div class="summary w-full md:w-1/2 lg:w-1/4 p-6 bg-ctp-crust rounded-xl mt-3 border-2 border-ctp-pink">
    <h2 class="uppercase text-lg mb-5 text-ctp-text font-semibold">Cart</h2>

    <div class="mb-6 flex justify-between border-t border-ctp-subtext0">
      <span class="text-ctp-text font-semibold">Total</span>
      <span class="text-ctp-text text-xl font-semibold"
            hx-get="{% url 'hx_cart_total' %}"
            hx-trigger="update-menu-cart from:body"
            hx-swap="innerHTML"
      >
          {% include "cart/partials/cart_total.html" %}
    </div>

    <a href="{% url 'checkout' %}" class="inline-block px-8 py-4 rounded-xl font-semibold text-ctp-base bg-gradient-to-r from-ctp-green to-ctp-sapphire hover:from-ctp-lavender hover:to-ctp-mauve">Checkout</a>
  </div>
</div>  
{% endblock %}
